<script>
import RatingTable from './Partials/RatingTable.vue';
import DeleteUserForm from './Partials/DeleteUserForm.vue';
import UpdatePasswordForm from './Partials/UpdatePasswordForm.vue';
import UpdateProfileInformationForm from './Partials/UpdateProfileInformationForm.vue';
import {Head, usePage} from '@inertiajs/vue3';
import Layout from "../../Layouts/Layout.vue";

export default {
  layout: Layout,

  components: { Head, UpdateProfileInformationForm, UpdatePasswordForm, DeleteUserForm, RatingTable},

  props: {
    mustVerifyEmail: {
      type: Boolean,
    },
    status: {
      type: String,
    },
    topUsers: {
      type: Array,
    }
  },

  setup(props) {
    const curUserId = usePage().props.auth.user.id;

    return {curUserId};
  }
}

</script>

<template>
  <Head title="Профиль" />

  <div class="py-12">
    <div class="max-w-7xl mx-auto sm:px-6 lg:px-8 space-y-6">
      <div class="p-4 sm:p-8 bg-white shadow sm:rounded-lg">
        <RatingTable
          :top-users="topUsers"
          :current-user-id="curUserId"
        />
      </div>

      <div class="p-4 sm:p-8 bg-white shadow sm:rounded-lg">
        <UpdateProfileInformationForm
          :must-verify-email="mustVerifyEmail"
          :status="status"
          class="max-w-xl"
        />
      </div>

      <div class="p-4 sm:p-8 bg-white shadow sm:rounded-lg">
        <UpdatePasswordForm class="max-w-xl" />
      </div>

      <div class="p-4 sm:p-8 bg-white shadow sm:rounded-lg">
        <DeleteUserForm class="max-w-xl" />
      </div>
    </div>
  </div>
</template>
